<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.platomix</groupId>
		<artifactId>platomix-pom</artifactId>
		<version>1.0.0-cloud</version>
	</parent>
	<groupId>com.platomix</groupId>
	<artifactId>platomix-gmetry-xxljob</artifactId>
	<version>1.0.0-cloud</version>
	<packaging>pom</packaging>
	
	<properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <maven.compiler.encoding>UTF-8</maven.compiler.encoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <maven.test.skip>true</maven.test.skip>

        <netty-all.version>4.1.63.Final</netty-all.version>
        <gson.version>2.9.0</gson.version>

        <spring.version>5.3.20</spring.version>
        <spring-boot.version>2.6.7</spring-boot.version>

        <mybatis-spring-boot-starter.version>2.2.2</mybatis-spring-boot-starter.version>
        <mysql-connector-java.version>8.0.29</mysql-connector-java.version>
        <fastjson2.version>2.0.10</fastjson2.version>

        <slf4j-api.version>1.7.36</slf4j-api.version>
        <junit-jupiter.version>5.8.2</junit-jupiter.version>
        <javax.annotation-api.version>1.3.2</javax.annotation-api.version>

        <groovy.version>3.0.10</groovy.version>

        <maven-source-plugin.version>3.2.1</maven-source-plugin.version>
        <maven-javadoc-plugin.version>3.4.0</maven-javadoc-plugin.version>
        <maven-gpg-plugin.version>3.0.1</maven-gpg-plugin.version>
        
        <docker.plugin.version>0.40.3</docker.plugin.version>
		<docker.registry>docker.platomix.net:10000</docker.registry>
		<docker.namespace>platomix</docker.namespace>
    </properties>

	<repositories>
		<repository>
			<id>alimaven</id>
			<name>aliyun maven</name>
			<url>https://maven.aliyun.com/repository/public/</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>platomix-release</id>
			<name>NexusReleases</name>
			<url>http://windata.platomix.net/nexus/repository/maven-public/</url>
		</repository>
	</repositories>

	<pluginRepositories>
		<pluginRepository>
			<id>alimaven</id>
			<name>aliyun maven</name>
			<url>https://maven.aliyun.com/repository/public/</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>
	
	<distributionManagement>
		<repository>
			<id>platomix-release</id>
			<name>NexusReleases</name>
			<url>http://windata.platomix.net/nexus/repository/maven-releases/</url>
		</repository>
	</distributionManagement>

	<modules>
		<module>platomix-gmetry-xxljob-admin</module>
		<module>platomix-gmetry-xxljob-core</module>
	</modules>
</project>